Bug 104782 - [CI] igt@kms_color@pipe-[abc]-*gamma - fail - CRC mismatch
Summary: [CI] igt@kms_color@pipe-[abc]-*gamma - fail - CRC mismatch
Status: REOPENED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: low normal
Assignee: Uma Shankar
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords: regression
: 111702 (view as bug list)
Depends on:
Blocks: 105978
  Show dependency treegraph
 
Reported: 2018-01-25 06:49 UTC by Marta Löfstedt
Modified: 2019-11-05 07:13 UTC (History)
2 users (show)

See Also:
i915 platform: ICL, TGL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marta Löfstedt 2018-01-25 06:49:03 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4176/shard-apl8/igt@kms_color@pipe-a-degamma.html

(kms_color:2797) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:356:
(kms_color:2797) igt-debugfs-CRITICAL: Failed assertion: !mismatch
Subtest pipe-A-degamma failed.
Comment 1 Marta Löfstedt 2018-02-26 07:24:21 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4293/shard-apl8/igt@kms_color@pipe-a-legacy-gamma.html

(kms_color:2005) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:370:
(kms_color:2005) igt-debugfs-CRITICAL: Failed assertion: !mismatch
Subtest pipe-A-legacy-gamma failed.
Comment 2 Marta Löfstedt 2018-03-12 06:47:14 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4338/shard-apl2/igt@kms_color@pipe-b-gamma.html

(kms_color:1717) igt-debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file igt_debugfs.c:370:
(kms_color:1717) igt-debugfs-CRITICAL: Failed assertion: !mismatch
Subtest pipe-B-gamma failed.
Comment 3 Marta Löfstedt 2018-03-23 09:09:31 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_6/fi-cfl-8700k/igt@kms_color@pipe-a-legacy-gamma.html

(kms_color:1541) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:370:
(kms_color:1541) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest pipe-A-legacy-gamma failed.
Comment 4 Francesco Balestrieri 2018-06-12 12:45:43 UTC
Last seen: None according to cibuglogger. Can we close it?
Comment 5 Lakshmi 2018-08-29 13:41:19 UTC
This issue was not seen last 6 months. This issue occurred only once few hundred's of runs ago. Closing this bug.
Comment 7 Martin Peres 2018-10-08 08:48:56 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4671/shard-kbl2/igt@kms_color@pipe-c-legacy-gamma.html

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4945/shard-kbl3/igt@kms_color@pipe-c-legacy-gamma.html

Starting subtest: pipe-C-legacy-gamma
(kms_color:2304) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:392:
(kms_color:2304) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest pipe-C-legacy-gamma failed.
Comment 8 Martin Peres 2018-10-08 08:52:54 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4945/shard-skl2/igt@kms_color@pipe-c-legacy-gamma.html

Starting subtest: pipe-C-legacy-gamma
(kms_color:2227) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:392:
(kms_color:2227) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest pipe-C-legacy-gamma failed.
Comment 10 Martin Peres 2018-10-16 12:59:37 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4677/shard-skl3/igt@kms_color@pipe-b-gamma.html

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4981/shard-skl3/igt@kms_color@pipe-b-gamma.html

Starting subtest: pipe-B-gamma
(kms_color:2123) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:392:
(kms_color:2123) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest pipe-B-gamma failed.
Comment 12 CI Bug Log 2019-02-13 22:08:21 UTC
A CI Bug Log filter associated to this bug has been updated:

{- SKL BXT APL KBL CFL WHL ICL: igt@kms_color@pipe-[abc]-*gamma* - Failed assertion: !mismatch -}
{+ SKL BXT APL KBL GLK CFL WHL ICL: igt@kms_color@pipe-[abc]-*gamma* - Failed assertion: !mismatch +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5598/shard-glk1/igt@kms_color@pipe-c-legacy-gamma.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5598/shard-glk2/igt@kms_color@pipe-b-degamma.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5598/shard-glk3/igt@kms_color@pipe-c-degamma.html
* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4824/shard-glk4/igt@kms_color@pipe-b-degamma.html
* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4824/shard-glk8/igt@kms_color@pipe-c-degamma.html
Comment 13 Jani Saarinen 2019-02-14 06:26:55 UTC
Assigned to Uma
Comment 14 CI Bug Log 2019-02-21 14:50:43 UTC
A CI Bug Log filter associated to this bug has been updated:

{- SKL BXT APL KBL GLK CFL WHL ICL: igt@kms_color@pipe-[abc]-*gamma* - Failed assertion: !mismatch -}
{+ BSW BXT APL SKL KBL GLK CFL WHL ICL: igt@kms_color@pipe-[abc]-*gamma* - Failed assertion: !mismatch +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_225/fi-bsw-n3050/igt@kms_color@pipe-c-degamma.html
Comment 15 Uma Shankar 2019-03-14 08:10:35 UTC
This issue is happening due to pipe rounding (an expected behaviour in such scenario, confirmed with hw architect Runyan, Art as well) causing crc to mismatch. Unfortunately the test relies on the crc.
But checked on simulation and dump the pipe bmp output and compared bit by bit with the expected output. The data was matching perfectly. There will no visible impact to user as the framebuffer content is perfect, so user will not be able to see any issues. 

Future actions planned is :
  -  Use pipe writeback to get the framebuffer and check the pixel values directly (need to implement it first)
  - Use chamelium as a workaround for the lack of pipe writeback

All this will need significant implementation on driver side and even the tests need to re-written to align this. We will work on it separately.
Comment 16 CI Bug Log 2019-04-09 10:28:12 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BSW BXT APL SKL KBL GLK CFL WHL ICL: igt@kms_color@pipe-[abc]-*gamma* - Failed assertion: !mismatch -}
{+ BYT BSW BXT APL SKL KBL GLK CFL WHL ICL: igt@kms_color@pipe-[abc]-*gamma* - Failed assertion: !mismatch +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_249/fi-byt-clapper/igt@kms_color@pipe-a-legacy-gamma.html
Comment 17 Jani Saarinen 2019-04-10 10:43:49 UTC
Based on assessment lowering priority.
Comment 18 Ville Syrjala 2019-04-30 19:18:25 UTC
ICL fixed by

commit 09b25812db10fcbd7937c1b7ca279c5c0d77ba9d 
Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
Date:   Fri Apr 12 21:30:09 2019 +0300

    drm/i915: Enable pipe HDR mode on ICL if only HDR planes are used
    
I did forger to add the bugzilla link to the commit :/
Comment 19 Lakshmi 2019-07-04 12:11:59 UTC
(In reply to Ville Syrjala from comment #18)
> ICL fixed by
> 
> commit 09b25812db10fcbd7937c1b7ca279c5c0d77ba9d 
> Author: Ville Syrjälä <ville.syrjala@linux.intel.com>
> Date:   Fri Apr 12 21:30:09 2019 +0300
> 
>     drm/i915: Enable pipe HDR mode on ICL if only HDR planes are used
>     
> I did forger to add the bugzilla link to the commit :/

https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5080/shard-iclb8/igt@kms_color@pipe-a-degamma.html
	
Starting subtest: pipe-A-degamma
(kms_color:5428) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:419:
(kms_color:5428) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Subtest pipe-A-degamma failed.

https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5081/shard-iclb7/igt@kms_color@pipe-c-degamma.html

Still occurring on ICL, does these failures need a separate bug?
Comment 20 CI Bug Log 2019-07-04 12:13:52 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT BSW BXT APL SKL KBL GLK CFL WHL ICL: igt@kms_color@pipe-[abc]-*gamma* - Failed assertion: !mismatch -}
{+ BYT BSW BXT APL SKL KBL GLK CFL WHL CML ICL: igt@kms_color@pipe-[abc]-*gamma* - Failed assertion: !mismatch +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_320/fi-cml-u/igt@kms_color@pipe-b-degamma.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_320/fi-cml-u2/igt@kms_color@pipe-b-degamma.html
Comment 21 Mika Kahola 2019-09-10 09:11:11 UTC
kms_color test performs checks for color to match and gamma features on pipe level.

Failing each one of the test yields poor color presentation on display and degraded user experience.

#assessment
Comment 22 Uma Shankar 2019-09-16 10:08:39 UTC
This is happening on ICL+ due to multi segmented gamma being enabled. Reason is due to pipe roundup and interpolation, the crc values goes off and doesn't match exactly. This results in the tests to fail, however this is expected and no visual artifacts are observed. 

This matched in 10 bit gamma cases, because the precision was slightly low and hence 2 input values which though not equal got same result after LUT lookup due to interpolation (slightly different inputs yielded same value on lookup). However with multi segmented gamma, we have more precision and higher number of samples. The exact same input values got mapped to different values on LUT lookup. This caused crc's to mismatch.

There is no functional issue, and we may have to re-design the test methodology to avoid relying on crc matches for these tests.
Comment 23 Swati Sharma 2019-09-18 09:55:23 UTC
*** Bug 111702 has been marked as a duplicate of this bug. ***
Comment 24 Swati Sharma 2019-09-18 10:02:20 UTC
Adding TGL platform too.
Comment 25 CI Bug Log 2019-09-19 13:04:06 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT BSW BXT APL SKL KBL GLK CFL WHL CML ICL: igt@kms_color@pipe-[abc]-*gamma* - Failed assertion: !mismatch -}
{+ BYT BSW BXT APL SKL KBL GLK CFL WHL CML ICL TGL: igt@kms_color@pipe-[abc]-*gamma* - Failed assertion: !mismatch +}


  No new failures caught with the new filter
Comment 26 CI Bug Log 2019-09-19 13:11:53 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* TGL: igt@kms_color@pipe-[abc]-degamma - fail - Failed assertion: !mismatch || igt_skip_crc_compare
  (No new failures associated)
Comment 27 CI Bug Log 2019-10-18 05:38:54 UTC
A CI Bug Log filter associated to this bug has been updated:

{- TGL: igt@kms_color@pipe-[abc]-degamma - fail - Failed assertion: !mismatch || igt_skip_crc_compare -}
{+ TGL: igt@kms_color@pipe-[abc]-degamma - fail - Failed assertion: !mismatch || igt_skip_crc_compare +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5226/shard-tglb1/igt@kms_color@pipe-d-degamma.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5230/shard-tglb5/igt@kms_color@pipe-d-degamma.html
Comment 28 CI Bug Log 2019-10-29 10:57:35 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BYT BSW BXT APL SKL KBL GLK CFL WHL CML ICL TGL: igt@kms_color@pipe-[abc]-*gamma* - Failed assertion: !mismatch -}
{+ BYT BSW BXT APL SKL KBL GLK CFL WHL CML ICL: igt@kms_color@pipe-[abc]-*gamma* - Failed assertion: !mismatch +}


  No new failures caught with the new filter
Comment 29 CI Bug Log 2019-11-05 07:12:07 UTC
A CI Bug Log filter associated to this bug has been updated:

{- TGL: igt@kms_color@pipe-[abc]-degamma - fail - Failed assertion: !mismatch || igt_skip_crc_compare -}
{+ TGL: igt@kms_color@pipe-[abc]-degamma - fail - Failed assertion: !mismatch || igt_skip_crc_compare +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5260/shard-tglb7/igt@kms_color@pipe-a-gamma.html
Comment 30 CI Bug Log 2019-11-05 07:13:01 UTC
A CI Bug Log filter associated to this bug has been updated:

{- TGL: igt@kms_color@pipe-[abc]-degamma - fail - Failed assertion: !mismatch || igt_skip_crc_compare -}
{+ TGL: igt@kms_color@pipe-[abcd]-(gamma|degamma) - fail - Failed assertion: !mismatch || igt_skip_crc_compare +}


  No new failures caught with the new filter


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.